# GNU GPL LICENSE
#
# This module is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; latest version thereof,
# available at: <http://www.gnu.org/licenses/gpl.txt>.
#
# This module is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this module; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA

"""
Extract all homonym homologs (HHs) from a UniProt accession cluster file
for a given list of source accessions.

By default, the HH mapping result is grouped by NCBI Tax ID and printed to
``STDOUT``. Clusters can be read from a file or from ``STDIN``.
"""

__author__  = "Florian Leitner"
__version__ = "1.0"

from biocreative.hhmap.mapper import extract